# Interface methods for submodule: FFTWForwardFFTImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ForwardFFTImageFilterProxy as _ForwardFFTImageFilterProxy


# Interface methods for class: FFTWForwardFFTImageFilter
class FFTWForwardFFTImageFilterProxy(_ForwardFFTImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetPlanRigor(self, value: int) -> None:
		""""""
		...

	def GetPlanRigor(self) -> int:
		""""""
		...

	def GetSizeGreatestPrimeFactor(self) -> int:
		""""""
		...

